%global srcname simplegeneric

Name:           python-%{srcname}
Version:        0.8.1
Release:        %mkrel 2
Summary:        Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)

Group:          Development/Python
License:        ZPL
URL:            http://cheeseshop.python.org/pypi/simplegeneric
Source0:        http://pypi.python.org/packages/source/s/%{srcname}/%{srcname}-%{version}.zip

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%package -n python3-%{srcname}
Summary:        Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)
Group:          Development/Python

%description
Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)

%description -n python3-%{srcname}
Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)

%prep
%setup -q -n %{srcname}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%{__python3} setup.py build
popd
%{__python} setup.py build

%install
rm -rf %buildroot
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%files
%{python_sitelib}/%{srcname}*

%files -n python3-%{srcname}
%{python3_sitelib}/*


%changelog
* Sun Mar 20 2016 bb <bb> 0.8.1-2pclos2016
- build for python3
